Subject: [PATCH 2/9] regulator: helper routine to extract regulator_init_data

From: [email-masked] (Mark Brown)
Date: Tue, 4 Oct 2011 11:18:47 +0100

On Tue, Oct 04, 2011 at 10:58:40AM +0530, Rajendra Nayak wrote:

> The problem is I don't know if the property in the regulator dt
> node is called "vin-supply" or "vxyz-supply" and hence I
> can parse the property based on a substring alone, which is
> "-supply" because all I know is the property name is expected
> to end with a "-supply".

This seems fairly straightforward though it will require some changes
within Linux, all we have to do is have the regulators name their
supplies.